
@inproceedings{banerjee_self-learning_2014,
  ids = {banerjeeSelflearningMIMORFReceiver2014},
  title = {Self-{{Learning MIMO}}-{{RF Receiver Systems}}: {{Process Resilient Real}}-{{Time Adaptation}} to {{Channel Conditions}} for {{Low Power Operation}}},
  shorttitle = {Self-{{Learning MIMO}}-{{RF Receiver Systems}}},
  booktitle = {2014 {{IEEE}}/{{ACM International Conference}} on {{Computer}}-{{Aided Design}} ({{ICCAD}})},
  author = {Banerjee, D. and Muldrey, B. and Sen, S. and Wang, X. and Chatterjee, A.},
  year = {2014},
  month = nov,
  pages = {710--717},
  doi = {10.1109/ICCAD.2014.7001430},
  abstract = {Prior research has established that dynamically trading-off the performance of the RF front-end for reduced power consumption across changing channel conditions, using a feedback control system that modulates circuit and algorithmic level "tuning knobs" in real-time, leads to significant power savings. It is also known that the optimal power control strategy depends on the process conditions corresponding to the RF devices concerned. This complicates the problem of designing the feedback control system that guarantees the best control strategy for minimizing power consumption across all channel conditions and process corners. Since this problem is largely intractable due to the complexity of simulation across all channel conditions and process corners, we propose a self-learning strategy for adaptive MIMO-RF systems. In this approach, RF devices learn their own performance vs. power consumption vs. tuning knob relationships "on-the-fly" and formulate the optimum reconfiguration strategy using neural-network based learning techniques during real-time operation. The methodology is demonstrated for a MIMO-RF receiver front-end and is supported by hardware validation leading to 2.5X power savings in minimal learning time.},
  eventtitle = {2014 IEEE/ACM International Conference on Computer-Aided Design (ICCAD)},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/V23PKWB7/Banerjee et al. - 2014 - Self-learning MIMO-RF receiver systems Process re.pdf;/home/bjmuld/archive/app-data/Zotero/storage/F6VBBZUZ/Banerjee et al. - 2014 - Self-learning MIMO-RF receiver systems Process re.html},
  keywords = {Adaptation,Artificial neural network,feedback control system,learning (artificial intelligence),LNA,Low Power,low power operation,MIMO,MIMO communication,Mixer,neural-network based learning techniques,OFDM,optimal power control strategy,Optimized production technology,Power demand,Radio frequency,radio receivers,Real-time systems,Receiver. Radio-Frequency,Receivers,reduced power consumption,resilient real-time adaptation,RF devices,Self-learning,self-learning MIMO-RF receiver systems,Tuning}
}

@article{banerjee_self-learning_2016,
  title = {Self-{{Learning RF Receiver Systems}}: {{Process}}-{{Aware Real}}-{{Time Adaptation}} to {{Channel Conditions}} for {{Low Power Operation}}},
  author = {Banerjee, Debashis and Muldrey, Barry and Wang, Xian and Sen, Shreyas and Chatterjee, Abhijit},
  year = {2016},
  abstract = {Prior research has established that dynamically trading-off the performance of the radio-frequency (RF) front-end for reduced power consumption across changing channel conditions, using a feedback control system that modulates circuit and algorithmic level ``tuning knobs'' in real-time based on received signal quality, leads to significant power savings. It is also known that the optimal power control strategy depends on the process conditions corresponding to the RF devices concerned. This leads to an explosion in the search space needed to find the best feedback control strategy, across all combinations of channel conditions and receiver process corners, making simulation driven optimal control law design impractical and computationally infeasible. Since this problem is largely intractable due to the above complexity of simulation, we propose a self-learning strategy for adaptive RF systems. In this approach, RF devices learn their own performance vs. power consumption vs. tuning knob relationships ``on-the-fly'' and formulate the most power-optimal control strategy for real-time adaptation of the RF system using neural-network based learning techniques during real-time operation. The methodology is demonstrated using SISO \& MIMO RF receiver front-ends as test vehicles and is supported by hardware validation leading to 2.5X-3X power savings with minimal overhead.},
  journal = {IEEE Transactions on Circuits and Systems I: Fundamental Theory and Applications}
}

@article{bansalCoverageBasedUtilityModel,
  title = {A {{Coverage}}-{{Based Utility Model}} for {{Identifying Unknown Unknowns}}},
  author = {Bansal, Gagan and Weld, Daniel S},
  pages = {8},
  abstract = {A classifier's low confidence in prediction is often indicative of whether its prediction will be wrong; in this case, inputs are called known unknowns. In contrast, unknown unknowns (UUs) are inputs on which a classifier makes a high confidence mistake. Identifying UUs is especially important in safety-critical domains like medicine (diagnosis) and law (recidivism prediction). Previous work by Lakkaraju et al. (2017) on identifying unknown unknowns assumes that the utility of each revealed UU is independent of the others, rather than considering the set holistically. While this assumption yields an efficient discovery algorithm, we argue that it produces an incomplete understanding of the classifier's limitations. In response, this paper proposes a new class of utility models that rewards how well the discovered UUs cover (or ``explain'') a sample distribution of expected queries. Although choosing an optimal cover is intractable, even if the UUs were known, our utility model is monotone submodular, affording a greedy discovery strategy. Experimental results on four datasets show that our method outperforms bandit-based approaches and achieves within 60.9\% utility of an omniscient, tractable upper bound.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/YT7REFT8/Bansal and Weld - A Coverage-Based Utility Model for Identifying Unk.pdf},
  language = {en}
}

@article{charalampidisClusteringUsingMultilayer2009,
  title = {Clustering Using Multilayer Perceptrons},
  author = {Charalampidis, Dimitrios and Muldrey, Barry},
  year = {2009},
  volume = {71},
  pages = {e2807--e2813},
  issn = {0362-546X},
  doi = {10.1016/j.na.2009.06.064},
  abstract = {In this paper we present a multilayer perceptron-based approach for data clustering. Traditionally, data clustering is performed using either exemplar-based methods that employ some form of similarity or distance measure, discriminatory function-based methods that attempt to identify one or several cluster-dividing hyper-surfaces, point-by-point associative methods that attempt to form groups of points in a pyramidal manner by directly examining the proximity between pairs of points or groups of points, and probabilistic methods which assume that data are sampled from mixture distributions. Commonly, in exemplar-based methods, each cluster is represented by a multi-dimensional centroid. In this paper, we explore the function approximation capabilities of multilayer perceptron neural networks in order to build exemplars which are not simply points but curves or surfaces. The proposed technique aims to group data points into arbitrary-shaped point clouds. The proposed approach may exhibit problems similar to other traditional exemplar-based clustering techniques such as k -means, including convergence to local minimum solutions with respect to the cost function. However, it is illustrated in this work that approaches such as split-and-merge can be appropriately adjusted and employed in the proposed technique, in order to alleviate the problem of reaching poor local minimum solutions.},
  journal = {Nonlinear Analysis},
  keywords = {68t99,Clustering,Multilayer Perceptrons,Neural Networks},
  language = {eng},
  number = {12}
}

@inproceedings{chatterjee_post_2016,
  title = {Post {{Silicon Validation}} of {{Analog}}/{{Mixed Signal}}/{{RF Circuits}} and {{Systems}}: {{Recent Advances}}},
  shorttitle = {Post {{Silicon Validation}} of {{Analog}}/{{Mixed Signal}}/{{RF Circuits}} and {{Systems}}},
  booktitle = {2016 {{IEEE}} 21st {{International Mixed}}-{{Signal Testing Workshop}} ({{IMSTW}})},
  author = {Chatterjee, A. and Deyati, S. and Muldrey, B. J.},
  year = {2016},
  month = jul,
  pages = {1--6},
  doi = {10.1109/IMS3TW.2016.7524222},
  abstract = {Technology scaling along with unprecedented levels of device integration has led to increasing numbers of analog/mixed-signal/RF design bugs escaping into silicon. Such bugs are manifested under specific system-on-chip (SoC) operating conditions and their effects are difficult to predict a-priori. This paper describes recent advances in detecting and diagnosing such bugs using "guided" stochastic test stimulus generation algorithms. A key challenge is that unlike traditional test generation for manufacturing test that is predicated on known failure mechanisms, the nature of design bugs is generally unknown and must be discovered on-the-fly. Classes of design errors from undesired capacitive coupling and incorrect biasing conditions to incorrect guard-banding of designs are considered. It is shown that high design bug coverage can be obtained over a range of test cases.},
  eventtitle = {2016 IEEE 21st International Mixed-Signal Testing Workshop (IMSTW)},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/DBWPH8Q7/Chatterjee et al. - 2016 - Post silicon validation of analogmixed signalRF .html},
  keywords = {analog circuits,analogue integrated circuits,bug detection,bug diagnosis,capacitive coupling,Computer bugs,Delays,elemental semiconductors,failure analysis,failure mechanisms,guided stochastic test stimulus generation,Hardware,incorrect biasing conditions,incorrect guard-banding,Integrated circuit modeling,mixed analogue-digital integrated circuits,mixed signal circuits,Radio frequency,radiofrequency circuits,radiofrequency integrated circuits,Si,silicon,silicon validation,SoC,system-on-chip,technology scaling,Voltage measurement}
}

@inproceedings{chatterjee_validation_2012,
  title = {Validation {{Signature Testing}}: {{A Methodology}} for {{Post}}-{{Silicon Validation}} of {{Analog}}/{{Mixed}}-{{Signal Circuits}}},
  shorttitle = {Validation {{Signature Testing}}},
  author = {Chatterjee, A. and Deyati, S. and Muldrey, B. and Devarakond, S. and Banerjee, A.},
  year = {2012},
  pages = {553--556},
  publisher = {{ACM}},
  doi = {10.1145/2429384.2429504},
  abstract = {Due to the use of scaled technologies, high levels of integration and high speeds of today's mixed-signal SoCs, the problem of validating correct operation of the SoC under electrical bugs and that of debugging yield loss due to unmodeled multi-dimensional variability effects is extremely challenging. Precise simulation of all electrical aspects of the design including the interfaces between digital and analog circuitry, coupling across power and ground planes, crosstalk, etc., across all process corners is very hard to achieve in a practical sense. The problem is expected to get worse as analog/mixed-signal/RF devices scale beyond the 45nm node and are more tightly integrated with digital systems than at present. In this context, a post-silicon validation methodology for analog/mixed-signal/RF SoCs is proposed that relies on the use of special stimulus designed to expose differences between observed DUT behavior and its predictive model. The corresponding error signature is then used to identify the likely "type" of electrical bug and its location in the design using nonlinear optimization algorithms. Results of trial experiments on RF devices are presented.},
  editora = {undefined},
  editoratype = {collaborator},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/UKB8FFXX/Chatterjee et al. - 2012 - Validation signature testing A methodology for po.html},
  isbn = {978-1-4503-1573-9},
  keywords = {analog-mixed-signal circuits,Circuit faults,circuit optimisation,circuits,communication,communication; networking and broadcast technologies,Complexity theory,components,components; circuits; devices and systems,computing and processing,Conferences,crosstalk,device under test behaviour,devices and systems,digital circuitry,digital systems,DUT behavior,electrical bugs,elemental semiconductors,ground planes,Hardware design languages,integrated circuit design,Integrated circuit modeling,integrated circuit testing,mixed analogue-digital integrated circuits,mixed-signal SoC,multidimensional variability effects,networking and broadcast technologies,nonlinear optimization algorithms,nonlinear programming,Post-silicon validation,Post-silicon Validation,post-silicon validation methodology,Radio frequency,radiofrequency integrated circuits,reliability,RF devices,RF SoC,Si,silicon,size 45 nm,System-on-a-chip,system-on-chip,validation signature testing,verification,yield loss debugging},
  series = {International {{Conference}} on {{Computer Aided Design}}}
}

@inproceedings{deyati_adaptive_2016,
  title = {Adaptive Testing of Analog/{{RF}} Circuits Using Hardware Extracted {{FSM}} Models},
  booktitle = {2016 {{IEEE}} 34th {{VLSI Test Symposium}} ({{VTS}})},
  author = {Deyati, S. and Muldrey, B. J. and Chatterjee, A.},
  year = {2016},
  month = apr,
  pages = {1--6},
  doi = {10.1109/VTS.2016.7477283},
  abstract = {The test generation problem for analog/RF circuits has been largely intractable due to the fact that repetitive circuit simulation for test stimulus optimization is extremely time-consuming. As a consequence, it is difficult, if not impossible, to generate tests for practical mixed-signal/RF circuits that include the effects of tester inaccuracies and measurement noise. To offset this problem and allow test generation to scale to different applications, we propose a new approach in which FSM models of mixed-signal/RF circuits are abstracted from hardware measurements on fabricated devices. These models allow accurate simulation of device behavior under arbitrary stimulus and thereby test stimulus generation, even after the device has been shipped to a customer. As a consequence, it becomes possible to detect process shifts with fine granularity and regenerate tests to adapt to process perturbations in a dynamic manner without losing test accuracy. A complete methodology for such adaptive testing of mixed-signal/RF circuits is developed in this paper. Simulation results and hardware measurements are used to demonstrate the efficacy of the proposed techniques.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/ZHHXCDXE/Deyati et al. - 2016 - Adaptive testing of analogRF circuits using hardw.pdf;/home/bjmuld/archive/app-data/Zotero/storage/WRK39TKJ/7477283.html},
  keywords = {Adaptation models,adaptive testing,analog-RF circuits,analogue integrated circuits,Automatic test pattern generation,circuit optimisation,circuit simulation,Circuit testing,Classification algorithms,Computational modeling,Detectors,finite state machines,Hardware,hardware extracted FSM models,hardware measurements,integrated circuit measurement,Integrated circuit modeling,integrated circuit testing,measurement errors,measurement noise,measurement uncertainty,mixed analogue-digital integrated circuits,mixed-signal-RF circuits,process perturbations,Radio frequency,radiofrequency integrated circuits,test generation problem,test stimulus generation,test stimulus optimization,tester inaccuracies,testing,Testing}
}

@inproceedings{deyati_atomic_2014,
  title = {Atomic Model Learning: {{A}} Machine Learning Paradigm for Post Silicon Debug of {{RF}}/Analog Circuits},
  shorttitle = {Atomic Model Learning},
  booktitle = {2014 {{IEEE}} 32nd {{VLSI Test Symposium}} ({{VTS}})},
  author = {Deyati, S. and Muldrey, B. J. and Banerjee, A. and Chatterjee, A.},
  year = {2014},
  month = apr,
  pages = {1--6},
  doi = {10.1109/VTS.2014.6818791},
  abstract = {As RF design scales to the 28nm technology node and beyond, pre-silicon simulation and verification of complex mixed-signal/RF SoCs is becoming intractable due to the difficulties associated with simulating diverse electrical effects and design bugs. As a consequence, there is increasing pressure to develop comprehensive post-silicon test and debug tools that can be used to identify design bugs and improve modeling of complex electrical nonidealities observed in silicon. Often, it is not known a-priori what these bugs are and how they can be modeled, significantly complicating the debug process. In this research, a new atomic model learning approach is proposed that uses supervised learning techniques to diagnose design bugs and learn unknown module-level behaviors. Nonideality modeling artifacts called model atoms are inserted into different nodes of the design signal flow paths to learn unknown behaviors along those paths. Under the assumption that the design bug is localized, it is shown that the source of the bug can be identified with high resolution even when the nature of the bug is unknown. The method has been applied to a conventional wireless as well as a polar radio transmitter and key results that demonstrate usefulness and feasibility of the proposed approach are presented.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/CNK4I7PW/Deyati et al. - 2014 - Atomic model learning A machine learning paradigm.html},
  keywords = {analog circuits,analogue integrated circuits,Artificial neural networks,atomic model learning,design bug diagnosis,electronic engineering computing,Fault diagnosis,integrated circuit design,Integrated circuit modeling,integrated circuit modelling,learning (artificial intelligence),machine learning paradigm,Mathematical model,mixed-signal SoC,Mixers,Model checking,module level behavior,post silicon debug,Power amplifiers,Preamplifiers,Radio frequency,Radio transmitters,radiofrequency integrated circuits,RF circuits,RF SoC,supervised learning,Tuning}
}

@inproceedings{deyati_challenge_2015,
  title = {Challenge {{Engineering}} and {{Design}} of {{Analog Push Pull Amplifier Based Physically Unclonable Function}} for {{Hardware Security}}},
  booktitle = {2015 {{IEEE}} 24th {{Asian Test Symposium}} ({{ATS}})},
  author = {Deyati, S. and Muldrey, B. J. and Singh, A. D. and Chatterjee, A.},
  year = {2015},
  month = nov,
  pages = {127--132},
  doi = {10.1109/ATS.2015.29},
  abstract = {In the recent past, Physically Unclonable Functions (PUFs) have been proposed as a way of implementing security in modern ICs. PUFs are hardware designs that exploit the randomness in silicon manufacturing processes to create IC-specific signatures for silicon authentication. While prior PUF designs have been largely digital, in this work we propose a novel PUF design based on transfer function variability of an analog push-pull amplifier under process variations. A differential amplifier architecture is proposed with digital interfaces to allow the PUF to be used in digital as well as mixed-signal SoCs. A key innovation is digital stimulus engineering for the analog amplifier that allows 2X improvements in the uniqueness of IC signatures generated over arbiter-based digital PUF architectures, while maintaining high signature reliability over +/- 10 \% voltage and -20 to 120 degree Celsius temperature variation. The proposed PUF is also resistive to model building attacks as the internal analog operation of the PUF is difficult to reverse-engineer due to the continuum of internal states involved. We show the benefits of the proposed PUF through comparison with a traditional arbiter-based digital PUF using simulation experiments.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/ZP5A2J6F/Deyati et al. - 2015 - Challenge Engineering and Design of Analog Push Pu.html},
  keywords = {analog push pull amplifier,arbiter-based digital PUF architectures,asynchronous circuits,Buildings,Clustering algorithms,differential amplifier,differential amplifiers,digital stimulus engineering,Hardware,hardware security,Hardware Security,IC signatures,IP Protection,Manufacturing processes,Mathematical model,mixed analogue-digital integrated circuits,mixed-signal SoC,model building attacks,physically unclonable function,Physically Unclonable Function,Reliability,security,Security,silicon authentication,system-on-chip,systems-on-chips,temperature -20 degC to 120 degC,transfer function variability,transfer functions}
}

@inproceedings{deyati_high_2014,
  title = {High {{Resolution Pulse Propagation Driven Trojan Detection}} in {{Digital Logic}}: {{Optimization Algorithms}} and {{Infrastructure}}},
  shorttitle = {High {{Resolution Pulse Propagation Driven Trojan Detection}} in {{Digital Logic}}},
  booktitle = {Test {{Symposium}} ({{ATS}}), 2014 {{IEEE}} 23rd {{Asian}}},
  author = {Deyati, Sabyasachi and Muldrey, Barry John and Singh, Adit and Chatterjee, Abhijit},
  year = {2014},
  pages = {200--205},
  publisher = {{IEEE}},
  doi = {10.1109/ATS.2014.45},
  abstract = {Insertion of malicious Trojans into outsourced chip manufacturing generally results in increased capacitances of internal circuit nodes that have been tapped for node controllability and observability by malicious circuitry. Current path delay measurement and side channel Trojan detection techniques are unable to detect Trojans that present low loading to such tapped circuit nodes, especially in the presence of large manufacturing process variations. In this paper, a high-resolution Trojan detection method for digital logic based on pulse propagation is developed. The method exhibits 25X -- 30X higher diagnostic resolution (ability to measure small capacitive loads on internal circuit nodes) as compared to current path delay based Trojan detection techniques in the presence of significant manufacturing process variations. Further, a key benefit is that theoretically, as opposed to path delay measurement based methods, the diagnostic resolution of the test approach is independent of circuit logic depth over and above the benefits already mentioned above. Test methods and test infrastructure compatible with existing scan based techniques are described. Simulation results are presented to prove the viability and effectiveness of the proposed Trojan detection scheme and especially for circuits with large logic depths (35-70 gates) suffering from worst case process variation effects.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/8FV3A6GS/Deyati et al. - 2014 - High Resolution Pulse Propagation Driven Trojan De.html},
  keywords = {Capacitance,capacitive loads,circuits,components,components; circuits; devices and systems,computing and processing,Delays,devices and systems,diagnostic resolution,digital logic,Flip-flops,Hardware Intrusion Detection,Hardware Security,Hardware Trojan Detection,high-resolution Trojan detection method,internal circuit nodes,invasive software,logic design,logic testing,malicious circuitry,malicious Trojans insertion,manufacturing process variations,node controllability,observability,outsourced chip manufacturing,path delay measurement,pulse propagation,side channel Trojan detection techniques,Transistors,Trojan horses,Vectors,worst case process variation effects},
  language = {eng}
}

@inproceedings{deyati_targeting_2016,
  title = {Targeting Hardware Trojans in Mixed-Signal Circuits for Security},
  booktitle = {2016 {{IEEE}} 21st {{International Mixed}}-{{Signal Testing Workshop}} ({{IMSTW}})},
  author = {Deyati, S. and Muldrey, B. J. and Chatterjee, A.},
  year = {2016},
  month = jul,
  pages = {1--4},
  doi = {10.1109/IMS3TW.2016.7524238},
  abstract = {The proliferation of third-party silicon manufacturing has increased the vulnerability of integrated circuits to malicious insertion of hardware for the purpose of leaking secret information or even rendering the circuits useless while deployed in the field. A key goal is to detect the presence of such circuits before they are activated for subversive reasons. One way to achieve this is to detect the presence of parasitic loads on internal nodes of a victim circuit. However, such detection becomes difficult in the presence of normal process variations of the silicon manufacturing process itself. In this work, we show how high-resolution detection of parasitic loads on internal circuit nodes can be achieved using a combination of test stimulus design and design-for-Trojan detection techniques. We illustrate our ideas on digital as well as analog/mixed-signal circuits and point to directions for future research.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/FJTCWUBK/Deyati et al. - 2016 - Targeting hardware trojans in mixed-signal circuit.html},
  keywords = {analog circuits,analogue integrated circuits,Capacitance,Delays,design-for-Trojan detection,Digital circuits,digital integrated circuits,elemental semiconductors,Hardware,hardware intrusion detection,Hardware security,hardware Trojan detection,high-resolution detection,integrated circuit manufacture,Integrated circuits,internal circuit nodes,invasive software,Inverters,mixed analogue-digital integrated circuits,mixed-signal circuits,parasitic loads,security,Si,side channel analysis,silicon,test stimulus design,third-party manufacturing,Trojan horses}
}

@inproceedings{deyati_trap:_2016,
  title = {{{TRAP}}: {{Test Generation Driven Classification}} of {{Analog}}/{{RF ICs Using Adaptive Probabilistic Clustering Algorithm}}},
  shorttitle = {{{TRAP}}},
  booktitle = {2016 29th {{International Conference}} on {{VLSI Design}} and 2016 15th {{International Conference}} on {{Embedded Systems}} ({{VLSID}})},
  author = {Deyati, S. and Muldrey, B. J. and Chatterjee, A.},
  year = {2016},
  month = jan,
  pages = {463--468},
  doi = {10.1109/VLSID.2016.118},
  abstract = {In production testing of analog/RF ICs, application of standard specification-based tests for IC classification is not always an attractive option due to the high costs and test times involved. In this paper, a new test generation algorithm for IC classification is first developed that has the property that the corresponding DUT response signatures for devices from diverse process corners are maximally separable. In other words, the process space can be partitioned into a maximally large number of partitions and each tested IC can be uniquely diagnosed to lie in one such partition from its response to the applied test stimulus. Boolean zed representations of analog/RF circuits are used to facilitate rapid test stimulus generation. Next, the responses of ICs tested in production to the applied classification test are used to adaptively classify the ICs into clusters of "good", "bad" and "marginal" devices (TRAP). This is done through the use of probabilistic neural networks that do not require complete network retraining every time an IC with different input-output behavior is observed. The classification test applied helps in determining if a new device being tested is from a different process corner than encountered before, thereby aiding IC classification. Simulation experiments show that the learning process is rapid and minimizes device misclassification with significant savings in test time.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/Z8GS99NK/Deyati et al. - 2016 - TRAP Test Generation Driven Classification of Ana.html},
  keywords = {adaptive probabilistic clustering algorithm,analog IC,analogue integrated circuits,Automatic test pattern generation,Circuit testing,Classification algorithms,Integrated circuit modeling,integrated circuit testing,Mathematical model,probabilistic neural networks,probability,production testing,radiofrequency integrated circuits,RF IC,Standards,test generation driven classification,testing,Training,TRAP}
}

@inproceedings{deyati_trojan_2016,
  title = {Trojan Detection in Digital Systems Using Current Sensing of Pulse Propagation in Logic Gates},
  booktitle = {2016 17th {{International Symposium}} on {{Quality Electronic Design}} ({{ISQED}})},
  author = {Deyati, S. and Muldrey, B. J. and Chatterjee, A.},
  year = {2016},
  month = mar,
  pages = {350--355},
  doi = {10.1109/ISQED.2016.7479226},
  abstract = {Outsourcing of chip manufacturing to untrusted foundries and using third party IPs in design, have opened the possibility of inserting malicious hardware Trojans into the circuit. As excitation of Trojan is extremely rare, it is almost impossible to detect Trojans with functional logic testing. We need to detect Trojans without actually activating it (side channel analysis). Hardware Trojan circuit get inputs from low transition probability nodes of the original circuit. Tapping of these nodes for creating Trojan inputs increase capacitive load at those nodes. We have developed a very high resolution pulse propagation technique to capture this extra capacitance at Trojan affected nodes. This technique provides 20-25X higher diagnostic resolution than path delay analysis in the presence of significant manufacturing process variation. Pulse propagation based Trojan detection is independent of logic depth in the path. As the logic depth increases other state of the art Trojan detection schemes loses accuracy. Though the scheme appears simple, it is not so straight forward to generate and apply the pulse inputs on chip at the desired locations and capture them at designated locations with high accuracy in presence of high fan out nodes in the design. We have developed a very high resolution current sensing scheme to detect pulse propagation through logic gates. A single sensor can sense pulse at multiple locations. The entire scheme of pulse based Trojan detection has been integrated into JTAG boundary scan scheme with minimal area overhead to provide a complete solution for Hardware Trojans.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/94FMK6A6/Deyati et al. - 2016 - Trojan detection in digital systems using current .html},
  keywords = {Capacitance,chip manufacturing outsourcing,Delays,digital systems,functional logic testing,Hardware,Hardware Intrusion Detection,Hardware Security,hardware Trojan circuit,Hardware Trojan Detection,high resolution current sensing scheme,invasive software,Inverters,JTAG boundary scan scheme,logic circuits,logic gates,logic testing,manufacturing process variation,minimal area overhead,path delay analysis,pulse based Trojan detection scheme,pulse measurement,pulse propagation sensing,sensors,Sensors,single sensor,third party IPs,transition probability nodes,Trojan horses}
}

@inproceedings{deyati_vast:_2013,
  title = {{{VAST}}: {{Post}}-{{Silicon VAlidation}} and {{Diagnosis}} of {{RF}}/{{Mixed}}-{{Signal Circuits Using Signature Tests}}},
  shorttitle = {{{VAST}}},
  booktitle = {2013 26th {{International Conference}} on {{VLSI Design}} and 2013 12th {{International Conference}} on {{Embedded Systems}}},
  author = {Deyati, S. and Banerjee, A. and Muldrey, B. J. and Chatterjee, A.},
  year = {2013},
  month = jan,
  pages = {314--319},
  doi = {10.1109/VLSID.2013.207},
  abstract = {Post-silicon validation of RF/mixed-signal circuits is challenging due to the need to excite all possible operational modes of the DUT in order to establish equivalence between its specified and observed behaviors and to ensure that the DUT does not produce any unexpected behaviors that can lead to system failure. In this research, we first develop a methodology for determining if the DUT contains behaviors that are not explicitly included in its behavioral model. A complex (optimized) test waveform is applied to the DUT and its test response signature is captured. It is seen that in the presence of unexpected DUT behaviors, the residual error in the test response signature from that defined by the model, cannot be minimized below a certain threshold by manipulating the model parameters in any way. If however, it is determined that the model is adequate but the signature is different from the expected, then a procedure is developed for determining which sub module is responsible for the difference (i.e. causes the system level specifications to be different from that specified by the behavioral model). Experiments on an RF transceiver are performed to demonstrate the effectiveness of the proposed validation and diagnosis approach.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/PDVIFXKI/Deyati et al. - 2013 - VAST Post-Silicon VAlidation and Diagnosis of RF.html},
  keywords = {behavioral model,circuits,components,components; circuits; devices and systems,Computational modeling,computing and processing,devices and systems,DUT,fault detection,Fault diagnosis,fault location,fields,fields; waves and electromagnetics,integrated circuit testing,Mathematical model,mixed analogue-digital integrated circuits,Mixers,OFDM transceiver,Post silicon validation,Post-silicon Validation,Radio frequency,Receivers,reliability,RF transceiver,RF/mixed-signal circuits,signature tests,system failure,test response signature,Transceivers,Transmitters,VAST,verification,waves and electromagnetics}
}

@patent{deyatiAnalogPushPull2017,
  title = {Analog {{Push Pull Amplifier}}-{{Based Physically Unclonable Function}} for {{Hardware Security}}},
  author = {Deyati, Sabyasachi and Chatterjee, Abhijit and Muldrey, Barry John},
  year = {2017},
  month = may,
  assignee = {Georgia Tech Research Corp},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/AC34AJKY/Deyati et al. - 2017 - Analog Push Pull Amplifier-Based Physically Unclon.pdf;/home/bjmuld/archive/app-data/Zotero/storage/NJMEQKJ5/Deyati et al. - 2017 - Analog Push Pull Amplifier-Based Physically Unclon.pdf;/home/bjmuld/archive/app-data/Zotero/storage/WQMK3IXH/Deyati et al. - 2019 - Analog push pull amplifier-based physically unclon.pdf;/home/bjmuld/archive/app-data/Zotero/storage/6N8NHBEM/en.html;/home/bjmuld/archive/app-data/Zotero/storage/XEBLBJX8/en.html},
  keywords = {amplifier,challenge,circuit,electrically coupled,vector},
  language = {en},
  nationality = {US},
  number = {US20170126415A1}
}

@inproceedings{deyatiBISCCEfficientPre2017,
  title = {{{BISCC}}: Efficient Pre through Post Silicon Validation of Mixed-Signal/{{RF}} Systems Using b Uilt Ins Tate c Onsistency c Hecking},
  shorttitle = {{{BISCC}}},
  booktitle = {Proceedings of the {{Conference}} on {{Design}}, {{Automation}} \& {{Test}} in {{Europe}}},
  author = {Deyati, Sabyasachi and Muldrey, Barry and Chatterjee, Abhijit},
  year = {2017},
  pages = {274--277},
  publisher = {{European Design and Automation Association}},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/9VABWL67/citation.html}
}

@inproceedings{deyatiConcurrentBuiltTest2017,
  title = {Concurrent Built in Test and Tuning of Beamforming {{MIMO}} Systems Using Learning Assisted Performance Optimization},
  booktitle = {2017 {{IEEE International Test Conference}} ({{ITC}})},
  author = {Deyati, Sabyasachi and Muldrey, Barry J. and Jung, Byunghoo and Chatterjee, Abhijit},
  year = {2017},
  pages = {1--10},
  publisher = {{IEEE}},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/VZG3K2CQ/8242031.html}
}

@inproceedings{deyatiDesignEfficientAnalog2017,
  title = {Design of Efficient Analog Physically Unclonable Functions Using Alternative Test Principles},
  booktitle = {2017 {{International Mixed Signals Testing Workshop}} ({{IMSTW}})},
  author = {Deyati, Sabyasachi and Muldrey, Barry and Singh, Adit and Chatterjee, Abhijit},
  year = {2017},
  pages = {1--4},
  publisher = {{IEEE}},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/8ZWVWHEY/7995207.html}
}

@inproceedings{muldrey_post-silicon_2016,
  title = {Post-{{Silicon Validation}}: {{Automatic Characterization}} of {{RF Device Nonidealities Via Iterative Learning Experiments}} on {{Hardware}}},
  booktitle = {{{VLSI Design Conference}}},
  author = {Muldrey, Barry and Deyati, Sabyasachi and Chatterjee, Abhijit},
  year = {2016},
  address = {{Hyderabad, India}},
  abstract = {Recent studies show that increasing numbers of design bugs are escaping to post-silicon due to the complexity of advanced designs and the lack of adequate verification tools that can validate complex electrical interactions between electrical subsystems on an integrated circuit. In this paper, we present a novel tool for post-silicon validation of mixed-signal/RF cir- cuits through cooperative test stimulus generation and behavior- learning. The implemented technique leverages iterative super- vised learning techniques to comprehensively diagnose anomalies between the input-output behavior of the silicon device and the corresponding behavior predicted by its reference model. This results in both a more efficient validation test stimulus and an improved behavioral model which captures non-ideal silicon behaviors. Preliminary results on RF devices prove the feasibility of the proposed validation methodology.}
}

@inproceedings{muldrey_ravage:_2013,
  ids = {muldreyRAVAGEPostsiliconValidation2013},
  title = {{{RAVAGE}}: {{Post}}-Silicon Validation of Mixed Signal Systems Using Genetic Stimulus Evolution and Model Tuning},
  shorttitle = {{{RAVAGE}}},
  booktitle = {{{VLSI Test Symposium}} ({{VTS}}), 2013 {{IEEE}} 31st},
  author = {Muldrey, B. and Deyati, S. and Giardino, M. and Chatterjee, A.},
  year = {2013},
  month = apr,
  pages = {1--6},
  doi = {10.1109/VTS.2013.6548917},
  abstract = {With trends in mixed-signal systems-on-chip indicating increasingly extreme scaling of device dimensions and higher levels of integration, the tasks of both design and device validation is becoming increasingly complex. Post-silicon validation of mixed-signal/RF systems provides assurances of functionality of complex systems that cannot be asserted by even some of the most advanced simulators. We introduce RAVAGE (from ``random;'' ``validation;'' and ``generation''), an algorithm for generating stimuli for post-silicon validation of mixed-signal systems. The approach of RAVAGE is new in that no assumption is made about any design anomaly present in the DDT; but rather, the stimulus is generated using the DUT itself with the objective of maximizing the effects of any behavioral differences between the DUT (hardware) and its behavioral model (software) as can be seen in the differences of their response to the same stimulus. Stochastic test generation is used since the exact nature of any behavioral anomaly in the DUT cannot be known a priori. Once a difference is observed, the model parameters are tuned using nonlinear optimization algorithms to remove the difference between its and the DUT's responses and the process (test generation\textrightarrow tuning) is repeated. If a residual error remains at the end of this process that is larger than a predetermined threshold, then it is concluded that the DUT contains unknown and possibly malicious behaviors that need further investigation. Experimental results on an RF system (hardware) are presented to prove feasibility of the proposed technique.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/K52EEZ2M/Muldrey et al. - 2013 - RAVAGE Post-silicon validation of mixed signal sy.pdf;/home/bjmuld/archive/app-data/Zotero/storage/58GM3QGH/6548917.html},
  keywords = {Automatic test pattern generation,behavioral model,circuit tuning,elemental semiconductors,genetic algorithms,genetic stimulus evolution,hardware Trojan detection,Integrated circuit modeling,integrated circuit testing,malicious behaviors,Mathematical model,mixed analogue-digital integrated circuits,mixed signal systems,mixed-signal systems-on-chip,mixed-signal-RF systems,model tuning,nonlinear optimization,optimisation,Post-silicon Validation,Radio frequency,radiofrequency integrated circuits,RAVAGE,residual error,Si,silicon,Sociology,Statistics,stochastic test generation,system-on-chip,Tuning}
}

@article{muldreyAutomatedCrossLevelValidation,
  title = {Automated {{Cross}}-{{Level Validation}} and {{Debug}} of {{Mixed}}-{{Signal Systems}} in {{Top}}-{{Down Design}}: {{From Pre}}-{{Silicon}} to {{Post}}-{{Silicon GRC Task}} 2712.005},
  author = {Muldrey, B and Deyati, S},
  pages = {40},
  file = {/home/bjmuld/Desktop/morechatrefs/Review_2712.005.pdf},
  language = {en}
}

@misc{muldreyCircuitgym,
  title = {Circuitgym},
  author = {Muldrey, Barry},
  abstract = {OpenAI-gym -like environments for spice circuits},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/F3YA7AKZ/circuitgym.html}
}

@inproceedings{muldreyConcurrentStimulusDefect2016,
  title = {Concurrent {{Stimulus}} and {{Defect Magnitude Optimization}} for {{Detection}} of {{Weakest Shorts}} and {{Opens}} in {{Analog Circuits}}},
  booktitle = {2016 {{IEEE}} 25th {{Asian Test Symposium}} ({{ATS}})},
  author = {Muldrey, B. and Deyati, S. and Chatterjee, A.},
  year = {2016},
  month = nov,
  pages = {96--101},
  doi = {10.1109/ATS.2016.61},
  abstract = {We present a methodology for algorithmic generation of test signals for thedetection and diagnosis of a variety of short and open-circuit defects in analogcircuits. Prior algorithms have focused on test generation for known short oropen defect values. This places the burden of failure coverage on accurateanalysis of observed defects in known failed parts at high cost. In this work, we optimize the test stimulus to detect the it weakest shorts and opens inanalog circuits using a concurrent stimulus and defect value optimizationalgorithm. Since the defect value itself is an optimization parameter, the responses of nonlinear circuits corresponding to it multipledefect values are considered as opposed to a it single linearizedrepresentation corresponding to a fixed defect value as in the existing state ofthe art. The algorithm produces a test stimulus along with the values of theweakest shorts and opens that the stimulus can detect (the locations of thedefects are specified to the algorithm). These values are determined by thedesign of the analog circuit itself and therefore subsume all specifieddetectable defects for the circuits concerned. Experimental results show thefeasibility of the proposed approach on selected test cases and defect sets.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/ZGBF6HZA/7796089.html},
  keywords = {Algorithm design and analysis,Analog,analog circuits,Capacitance,Circuit faults,Defect detection,fault detection,Heuristic algorithms,Integrated circuit modeling,mixed-signal,optimization,testing,Trojans}
}

@inproceedings{muldreyDELOCDesignValidation2016,
  title = {{{DE}}-{{LOC}}: {{Design}} Validation and Debugging under Limited Observation and Control, Pre- and Post-Silicon for Mixed-Signal Systems},
  shorttitle = {{{DE}}-{{LOC}}},
  booktitle = {2016 {{IEEE International Test Conference}} ({{ITC}})},
  author = {Muldrey, B. and Deyati, S. and Chatterjee, A.},
  year = {2016},
  month = nov,
  pages = {1--10},
  doi = {10.1109/TEST.2016.7805868},
  abstract = {In the modern mixed-signal SoC design cycle, designers are frequently tasked with detecting and diagnosing behavioral discrepancies between design descriptions given at different levels of hierarchy, e.g. behavioral vs. transistor level descriptions or behavioral/transistor level descriptions vs. fabricated silicon. One problem is detection, to determine if behavioral differences between design descriptions exist. If such differences (anomalies) are detected, then diagnosis is concerned with identifying the module in a hierarchical design description of the system that is most likely the root cause of the anomaly (typically under the constraint that only the primary outputs of the top-level hierarchies are observed. Previously proposed machine-learning classifiers require prior knowledge about the kinds of likely design errors typically encountered. In this work, we present a novel technique for the algorithmic foundation of circuit diagnosis predictions which does not require any assumptions about the nature of design errors. Our method employs iterative and alternate on-the-fly test generation and least-squares fitting of embedded low-order nonlinear filters to produce a best-guess estimate of the root cause of the anomaly. Experiments are conducted on two test vehicles, an RF transceiver and a phase-locked loop, several bug models are implemented, and the system's diagnosis predictions are analyzed.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/3RL53LIX/Muldrey et al. - 2016 - DE-LOC Design validation and debugging under limi.pdf;/home/bjmuld/archive/app-data/Zotero/storage/ZIG9GPEK/7805868.html},
  keywords = {Algorithm design and analysis,Analog,Circuit faults,Computer bugs,Debugging,Defect detection,diagnosis,fault detection,mixed-signal,Predictive models,silicon,testing,Training}
}

@inproceedings{muldreyMixedSignalDesign2019,
  title = {Mixed {{Signal Design Validation Using Reinforcement Learning Guided Stimulus Generation}} for {{Behavior Discovery}}},
  booktitle = {Proceedings {{IEEE VLSI Test Symposium}}},
  author = {Muldrey, Barry},
  year = {2019},
  month = apr,
  publisher = {{IEEE}},
  address = {{Monterey, CA, USA}},
  abstract = {High operating speeds and use of aggressive fabrica- tion technologies necessitate validation of mixed-signal electronic systems at every stage of top-down design: behavioral to netlist to physical design to silicon. At each step, design validation establishes the equivalence of lower level design descriptions against their higher level specifications. In this paper, a novel reinforcement-learning guided stimulus generation algorithm is presented that excites behavioral differences in the statistics of observed responses between high and low-level descriptions of an analog/mixed-signal device (as opposed to the difference magnitude as in prior research). These discovered differences are learned using series-parallel interconnected machine learn- ing kernels appended to the device model and the process is repeated until no further differences can be excited via stimulus generation. The latter behavior difference learning is significantly facilitated by the proposed stimulus generation approach as opposed to prior research. We present the formulation of design validation as a Markov decision process and discuss a reward metric for reinforcement learning based on the statistics of observed device responses as discussed earlier. Integration of the proposed design validation methodology with deep-Q learning software and the suite of Cadence simulation tools is discussed. Validation results for selected design bugs in representative designs are presented and show the quality and efficiency of the proposed design validation methodology.}
}

@misc{muldreyPyspectre,
  title = {Pyspectre},
  author = {Muldrey, Barry},
  abstract = {python interface to supervise and control single instance of Spectre circuit simulator},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/R4WIAIGY/pyspectre.html}
}

@misc{muldreyWaverunner2b4,
  title = {Waverunner 0.2b4},
  shorttitle = {Waverunner 0.2b4},
  author = {Muldrey, Barry},
  abstract = {Package for sending (hardware) experiment requests across the network and receiving the results},
  copyright = {GPLv3},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/9B8VM9M3/waverunner.html;/home/bjmuld/archive/app-data/Zotero/storage/BNPN5N3R/waverunner.html},
  keywords = {analysis;,data;,experiements;,management,scientific;}
}

@article{tzou_concurrent_2016,
  title = {Concurrent {{Multi}}-{{Channel Crosstalk Jitter Characterization Using Coprime Period Channel Stimulus}}},
  author = {Tzou, Nicholas L. and Bhatta, Debesh and Wang, Xian and Chen, Te-Hui and Hsiao, Sen-Wen and Muldrey, Barry and Choi, Hyun Woo and Chatterjee, Abhijit},
  year = {2016},
  volume = {63},
  pages = {859--870},
  issn = {1549-8328},
  doi = {10.1109/TCSI.2016.2537898},
  abstract = {In recent years, the use of highly parallelized and high-speed data links has exacerbated the problem of crosstalk coupling. Signals with high frequency components couple to and degrade the quality of signals in adjacent lines aggressively with reduced device dimensions. In this paper, we propose a methodology for characterizing multiple crosstalk jitter effects in the time domain using a single data capture without the use of any channel models. The method uses repetitive data patterns across different signal lines with coprime periods. Each signal with crosstalk effects is digitized using sub-Nyquist sampling, and after back-end digital signal processing, the original transmitted signal on each line is isolated from its crosstalk components. Mathematical analysis shows that only by using patterns with coprime lengths, unbiased crosstalk characterization is possible. Hardware measurements support the proposed test methodology.},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/5ZECBF46/Tzou et al. - 2016 - Concurrent Multi-Channel Crosstalk Jitter Characte.html},
  journal = {Circuits and Systems I: Regular Papers, IEEE Transactions on},
  keywords = {back-end digital signal processing,bit error rate,Bit error rate,bounded uncorrelated jitter,Bounded uncorrelated jitter,channel models,circuits,components,components; circuits; devices and systems,concurrent multichannel crosstalk jitter characterization,coprime bit sequence,coprime lengths,coprime period channel stimulus,coprime periods,couplings,crosstalk,crosstalk components,crosstalk coupling,crosstalk jitter,data handling,devices and systems,hardware measurements,high-speed data links,histograms,Histograms,jitter,jitter separation,mathematical analysis,multiple crosstalk jitter effects,Noise measurement,reduced device dimensions,repetitive data patterns,sampling methods,single data,subNyquist sampling,time domain,time-domain analysis,unbiased crosstalk characterization},
  language = {eng},
  number = {6}
}

@article{tzou2015JETTATTTCBest2016,
  title = {2015 {{JETTA}}-{{TTTC Best Paper Award}}},
  author = {Tzou, Nicholas and Bhatta, Debesh and Muldrey Jr, Barry J. and Moon, Thomas and Wang, Xian and Choi, Hyun and Chatterjee, Abhijit and Signal, Cost Sparse Multiband and {Multi-Rate}, Characterization Using Asynchronous},
  year = {2016},
  volume = {32},
  pages = {659--660},
  file = {/home/bjmuld/archive/app-data/Zotero/storage/4FLNBL25/s10836-016-5627-8.html},
  journal = {J Electron Test}
}

@article{tzouLowCostSparse2015,
  title = {Low {{Cost Sparse Multiband Signal Characterization Using Asynchronous Multi}}-{{Rate Sampling}}: {{Algorithms}} and {{Hardware}}},
  shorttitle = {Low {{Cost Sparse Multiband Signal Characterization Using Asynchronous Multi}}-{{Rate Sampling}}},
  author = {Tzou, Nicholas and Bhatta, Debesh and Muldrey, Barry J. and Moon, Thomas and Wang, Xian and Choi, Hyun and Chatterjee, Abhijit},
  year = {2015},
  volume = {31},
  pages = {85--98},
  issn = {0923-8174},
  doi = {10.1007/s10836-015-5505-9},
  abstract = {Characterizing the spectrum of sparse wideband signals of high-speed devices efficiently and precisely is critical in high-speed test instrumentation design. Recently proposed sub-Nyquist rate sampling systems have the potential to significantly reduce the cost and complexity of sparse spectrum characterization; however, due to imperfections and variations in hardware design, numerous implementation and calibration issues have risen and need to be solved for robust and stable signal acquisition. In this paper, we propose a low-cost and low-complexity hardware architecture and associated asynchronous multi-rate sub-Nyquist rate sampling based algorithms for sparse spectrum characterization. The proposed scheme can be implemented with a single ADC or with multiple ADCs as in multi-channel or band-interleaved sensing architectures. Compared to other sub-Nyquist rate sampling methods, the proposed hardware scheme can achieve wideband sparse spectrum characterization with minimum cost and calibration effort. A hardware prototype built using off-the-shelf components is used to demonstrate the feasibility of the proposed approach.},
  journal = {Journal of Electronic Testing},
  keywords = {Asynchronous multi-rate sampling,Low cost spectrum sensing and characterization,Sub-Nyquist rate sampling},
  language = {eng},
  number = {1}
}


